Loading...
Searching...
No Matches
casacore::MSAntennaGram_global_functions_MSAntennaGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSAntennaGram.h>`

## Public Member Functions

TableExprNode | msAntennaGramParseCommand (MSSelectableTable &msLike, const String &command, Vector< Int > &selectedAnts1, Vector< Int > &selectedAnts2, Matrix< Int > &selectedBaselines)
| Declare the bison parser (is implemented by bison command).
TableExprNode | msAntennaGramParseCommand (MSAntennaParse *thisParser, const TableExprNode &col1TEN, const TableExprNode &col2TEN, const String &command, Vector< Int > &selectedAnts1, Vector< Int > &selectedAnts2, Matrix< Int > &selectedBaselines)
TableExprNode | msAntennaGramParseCommand (Table &subTable, TableExprNode &col1TEN, TableExprNode &col2TEN, const String &command, Vector< Int > &selectedAnts1, Vector< Int > &selectedAnts2, Matrix< Int > &selectedBaselines)
TableExprNode | msAntennaGramParseCommand (const MeasurementSet *ms, const String &command, Vector< Int > &selectedAnt1, Vector< Int > &selectedAnt2, Matrix< Int > &selectedBaselines)
TableExprNode | baseMSAntennaGramParseCommand (MSAntennaParse *parser, const String &command, Vector< Int > &selectedAnts1, Vector< Int > &selectedAnts2, Matrix< Int > &selectedBaselines)
void | MSAntennaGramerror (const char *)
| The yyerror function for the parser.
Int & | msAntennaGramPosition ()
| Give the current position in the string.
int | msAntennaGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.

## Detailed Description

Global functions for flex/bison scanner/parser for MSAntennaGram

### Intended use:

Internal

### Prerequisite

- MSAntennaGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 72 of file MSAntennaGram.h.

## Member Function Documentation

## baseMSAntennaGramParseCommand()

TableExprNode casacore::MSAntennaGram_global_functions_MSAntennaGramFunctions::baseMSAntennaGramParseCommand | ( | MSAntennaParse * | parser,
|  | const String & | command,
|  | Vector< Int > & | selectedAnts1,
|  | Vector< Int > & | selectedAnts2,
|  | Matrix< Int > & | selectedBaselines )

## MSAntennaGramerror()

void casacore::MSAntennaGram_global_functions_MSAntennaGramFunctions::MSAntennaGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## msAntennaGramInput()

int casacore::MSAntennaGram_global_functions_MSAntennaGramFunctions::msAntennaGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## msAntennaGramParseCommand() [1/4]

TableExprNode casacore::MSAntennaGram_global_functions_MSAntennaGramFunctions::msAntennaGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command,
|  | Vector< Int > & | selectedAnt1,
|  | Vector< Int > & | selectedAnt2,
|  | Matrix< Int > & | selectedBaselines )

## msAntennaGramParseCommand() [2/4]

TableExprNode casacore::MSAntennaGram_global_functions_MSAntennaGramFunctions::msAntennaGramParseCommand | ( | MSAntennaParse * | thisParser,
|  | const TableExprNode & | col1TEN,
|  | const TableExprNode & | col2TEN,
|  | const String & | command,
|  | Vector< Int > & | selectedAnts1,
|  | Vector< Int > & | selectedAnts2,
|  | Matrix< Int > & | selectedBaselines )

## msAntennaGramParseCommand() [3/4]

TableExprNode casacore::MSAntennaGram_global_functions_MSAntennaGramFunctions::msAntennaGramParseCommand | ( | MSSelectableTable & | msLike,
|  | const String & | command,
|  | Vector< Int > & | selectedAnts1,
|  | Vector< Int > & | selectedAnts2,
|  | Matrix< Int > & | selectedBaselines )

Declare the bison parser (is implemented by bison command).

It returns a TaQL expression tree.

## msAntennaGramParseCommand() [4/4]

TableExprNode casacore::MSAntennaGram_global_functions_MSAntennaGramFunctions::msAntennaGramParseCommand | ( | Table & | subTable,
|  | TableExprNode & | col1TEN,
|  | TableExprNode & | col2TEN,
|  | const String & | command,
|  | Vector< Int > & | selectedAnts1,
|  | Vector< Int > & | selectedAnts2,
|  | Matrix< Int > & | selectedBaselines )

## msAntennaGramPosition()

Int & casacore::MSAntennaGram_global_functions_MSAntennaGramFunctions::msAntennaGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

The documentation for this struct was generated from the following file:

- ms/MSSel/MSAntennaGram.h